<div class="agency-escorts">

	<div class="agency-header">
		<p class="title an"><?= __('list_of_profiles') ?></p>

		<ul id="tabs" class="escort-tabs">
			<li title="Active-tab" class="<?= ($this->active_tab == "Active-tab") ? 'active' : '' ?>"><?= __('active') ?></li>
			<li title="Disabled-tab" class="<?= ($this->active_tab == "Disabled-tab") ? 'active' : '' ?>"><?= __('disabled') ?></li>
			<? /* Shit task EDIR-487 by Katie */?>
			<? if( $this->agency_id != 232) :?>
			<li title="Deleted-tab" class="last <?= ($this->active_tab == "Deleted-tab") ? 'active' : '' ?>"><?= __('deleted') ?></li>
			<? endif; ?>
		</ul>

		<div class="sort">
			<label id="agency_sort"><?= __('sort_by') ?> :</label>
			<select onchange="return Sceon.agencyEscortAction(null, null, null, true);" name="agency_sort">
				<option value="alpha" <?= ($this->sort == "alpha") ? 'selected="selected"' : '' ?>><?= __('alphabetically') ?></option>
				<option value="paid-package" <?= ($this->sort == "paid-package") ? 'selected="selected"' : '' ?>><?= __('premium_first') ?></option>
				<option value="last-modified" <?= ($this->sort == "last-modified") ? 'selected="selected"' : '' ?>><?= __('modification_date') ?></option>
				<option value="escort-id" <?= ($this->sort == "escort-id") ? 'selected="selected"' : '' ?>><?= __('escort_id') ?></option>
			</select>
		</div>

		<div class="clear"></div>
	</div>

	<? if( $this->actionError ): ?>
	<div class="error-msg">
		<?= $this->actionError ?>
	</div>
	<div class="clear"></div>
	<? endif; ?>

	<div class="agency-body">
		<div class="Active-tab">
			<? if( $this->escorts_a_count ): ?>
				<? foreach( $this->escorts_active as $i => $escort ): ?>
					<? $escort = new Model_EscortItem($escort); ?>
					<div class="item <?= (($i + 1) % 4 == 0) ? 'last' : '' ?>">
						<div class="item-inner">
							<p class="showname"><?= $escort->showname ?> <span>(ID <?= $escort->id ?>)</span></p>

							<div class="photo">
								<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_pt', true) : _st('no-photo.jpg') ?>" width="113" height="159" />
							</div>
							<div class="actions">
								<a href="#" onclick="return Popup.editEscortPopup.Show('<?= $this->getLink('private-v2-profile') ?>?step=biography&escort=<?= $escort->id ?>');" class="btn-edit-profile"><?= __('edit_profile2') ?></a>
								<a href="#" onclick="return Popup.editEscortPopup.Show('<?= $this->getLink('private-v2-profile') ?>?step=gallery&escort=<?= $escort->id ?>');" class="btn-edit-gallery"><?= __('edit_gallery') ?></a>
								<a href="#" onclick="return Sceon.agencyEscortAction('deactivate', <?= $escort->id ?>)" class="btn-deactivate"><?= __('deactivate') ?></a>
								<? if ( ! $escort->package ): ?>
								<a href="#" onclick="return Sceon.agencyEscortAction('delete', <?= $escort->id ?>)" class="btn-delete"><?= __('delete') ?></a>
								<? endif; ?>
								<?/* <a href="#" class="btn-edit-agency">Edit club</a> */ ?>
								<? /*<a href="#" class="btn-view-profile">View profile</a>*/ ?>
							</div>

							<div class="clear"></div>

							<? if ( $escort->package ): ?>
							<div class="package-info">
								<p><?= __('package') ?> : <span><?= $escort->package ?></span></p>
								<p><?= __('expire') ?> : <span><?= date('d.m.Y',strtotime($escort->expiration_date)); ?></span></p>
							</div>
							<? endif; ?>
						</div>
					</div>
				<? endforeach; ?>
			<? endif; ?>
			<div class="clear"></div>

			<? $pages_count = ceil($this->escorts_a_count / $this->escorts_per_page); ?>
			<? if( $pages_count != 1 ): ?>
				<div class="clear"></div>
				<div class="paging-list">
					<? $pages = $this->paging($this->escorts_a_count, $this->escorts_a_page, $this->escorts_per_page, 7, 3); ?>
					<? if ( 1 < $this->escorts_a_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_a_page: <?= $this->escorts_a_page - 1 ?> }, true);"><?= $this->t('previous') ?></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->escorts_a_page == $page ): ?>
							<span class="active"><?= $page ?></span>
						<? else: ?>
							<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_a_page: <?= $page ?> }, true);"><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ( $pages_count > $this->escorts_a_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_a_page: <?= $this->escorts_a_page + 1 ?> }, true);"><?= $this->t('next') ?></a>
					<? endif ?>
				</div>
			<? endif; ?>

		</div>
		<div class="Disabled-tab">
			<? if( $this->escorts_i_count ): ?>
				<? foreach( $this->escorts_inactive as $i => $escort ): ?>
					<? $escort = new Model_EscortItem($escort); ?>
					<div class="item <?= (($i + 1) % 4 == 0) ? 'last' : '' ?>">
						<div class="item-inner">
							<p class="showname"><?= $escort->showname ?> <span>(ID <?= $escort->id ?>)</span></p>

							<div class="photo">
								<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_pt', true) : _st('no-photo.jpg') ?>" width="113" height="159" />
							</div>
							<div class="actions">
								<a href="#" onclick="return Popup.editEscortPopup.Show('<?= $this->getLink('private-v2-profile') ?>?step=biography&escort=<?= $escort->id ?>');" class="btn-edit-profile"><?= __('edit_profile2') ?></a>
								<a href="#" onclick="return Popup.editEscortPopup.Show('<?= $this->getLink('private-v2-profile') ?>?step=gallery&escort=<?= $escort->id ?>');" class="btn-edit-gallery"><?= __('edit_gallery') ?></a>
								<a href="#" onclick="return Sceon.agencyEscortAction('activate', <?= $escort->id ?>)" class="btn-activate"><?= __('activate') ?></a>
								<? if ( ! $escort->package ): ?>
								<a href="#" onclick="return Sceon.agencyEscortAction('delete', <?= $escort->id ?>)" class="btn-delete"><?= __('delete') ?></a>
								<? endif; ?>
								<?/* <a href="#" class="btn-edit-agency">Edit club</a> */ ?>
								<? /*<a href="#" class="btn-view-profile">View profile</a>*/ ?>
							</div>

							<div class="clear"></div>

							<? if ( $escort->package ): ?>
								<div class="package-info">
									<p><?= __('package') ?> : <span><?= $escort->package ?></span></p>
									<p><?= __('expire') ?> : <span><?= date('d.m.Y',strtotime($escort->expiration_date)); ?></span></p>
								</div>
							<? endif; ?>
						</div>
					</div>
				<? endforeach; ?>
			<? endif; ?>
			<div class="clear"></div>

			<? $pages_count = ceil($this->escorts_i_count / $this->escorts_per_page); ?>
			<? if( $pages_count != 1 ): ?>
				<div class="clear"></div>
				<div class="paging-list">
					<? $pages = $this->paging($this->escorts_i_count, $this->escorts_i_page, $this->escorts_per_page, 7, 3); ?>
					<? if ( 1 < $this->escorts_i_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_i_page: <?= $this->escorts_i_page - 1 ?> }, true);"><?= $this->t('previous') ?></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->escorts_i_page == $page ): ?>
							<span class="active"><?= $page ?></span>
						<? else: ?>
							<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_i_page: <?= $page ?> }, true);"><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ( $pages_count > $this->escorts_i_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_i_page: <?= $this->escorts_i_page + 1 ?> }, true);"><?= $this->t('next') ?></a>
					<? endif ?>
				</div>
			<? endif; ?>
		</div>
		<? /* Shit task EDIR-487 by Katie */?>
		<? if( $this->agency_id != 232) :?>
		<div class="Deleted-tab">
			<? if( $this->escorts_d_count ): ?>
				<? foreach( $this->escorts_deleted as $i => $escort ): ?>
					<? $escort = new Model_EscortItem($escort); ?>
					<div class="item <?= (($i + 1) % 4 == 0) ? 'last' : '' ?>">
						<div class="item-inner">
							<p class="showname"><?= $escort->showname ?> <span>(ID <?= $escort->id ?>)</span></p>

							<div class="photo">
								<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_pt', true) : _st('no-photo.jpg') ?>" width="113" height="159" />
							</div>
							<div class="actions">
								<a href="#" onclick="return Sceon.agencyEscortAction('restore', <?= $escort->id ?>)" class="btn-restore"><?= __('restore') ?></a>
							</div>

							<div class="clear"></div>

							<div class="attention">Account will be removed After <?= ceil(  48 - (time() - strtotime($escort->deleted_date) + 60 )/3600 ) ; ?> hours</div>
						</div>
					</div>
				<? endforeach; ?>
			<? endif; ?>
			<div class="clear"></div>

			<? $pages_count = ceil($this->escorts_d_count / $this->escorts_per_page); ?>
			<? if( $pages_count != 1 ): ?>
				<div class="clear"></div>
				<div class="paging-list">
					<? $pages = $this->paging($this->escorts_d_count, $this->escorts_d_page, $this->escorts_per_page, 7, 3); ?>
					<? if ( 1 < $this->escorts_d_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_d_page: <?= $this->escorts_d_page - 1 ?> }, true);"><?= $this->t('previous') ?></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->escorts_d_page == $page ): ?>
							<span class="active"><?= $page ?></span>
						<? else: ?>
							<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_d_page: <?= $page ?> }, true);"><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ( $pages_count > $this->escorts_d_page): ?>
						<a href="" onclick="return Sceon.agencyEscortAction(null, null, { escorts_d_page: <?= $this->escorts_d_page + 1 ?> }, true);"><?= $this->t('next') ?></a>
					<? endif ?>
				</div>
			<? endif; ?>
		</div>
		<? endif; ?>
		<div class="clear"></div>
	</div>

</div>